# Class OjStatusMeterGauge

The component WebElement for oj-status-meter-gauge. Do not instantiate this class directly, instead, use ojStatusMeterGauge.

#### Hierarchy

- OjStatusMeterGaugeBase
  - OjStatusMeterGauge

#####
Index

### Constructors

constructor

### Methods

changeValue
clear
click
findElement
findElements
getAngleExtent
getAnimationDuration
getAnimationOnDataChange
getAnimationOnDisplay
getAttribute
getBorderColor
getBorderRadius
getCenter
getColor
getCssValue
getDescribedBy
getDriver
getId
getIndicatorSize
getInnerRadius
getLabel
getLabelledBy
getLocation
getMax
getMetricLabel
getMin
getOrientation
getPlotArea
getProperty
getReadonly
getRect
getReferenceLines
getShadowRoot
getSize
getSizeProperty
getStartAngle
getStep
getSvgClassName
getSvgStyle
getTagName
getText
getThresholdDisplay
getThresholds
getTooltip
getTrackResize
getTransientValue
getTranslations
getValue
getVisualEffects
hasSize
hasVisibility
isDisplayed
isEnabled
isSelected
sendKeys
serialize
setProperty
submit
takeScreenshot
whenBusyContextReady
whenReady
buildId
equals
extractId
isId

## Constructors

### constructor

- new OjStatusMeterGauge(el, locators): OjStatusMeterGauge

- Constructor. Pass an instance of WebDriver's WebElement that represents the DOM node on which we"ll perform operations.

  #### Parameters

  - ##### el: WebElement

    The basic WebElement with which this WebElement will work.

  - ##### locators: ElementLocators

  #### Returns OjStatusMeterGauge

  Inherited from OjStatusMeterGaugeBase.constructor

## Methods

### changeValue

- changeValue(value): Promise<void>

- Sets the value of `value` property. The metric value.

  #### Parameters

  - ##### value: number

    The value to set for `value`

  #### Returns Promise<void>

  Inherited from OjStatusMeterGaugeBase.changeValue

### clear

- clear(): Promise<void>

- ### Inherit Doc

  #### Returns Promise<void>

  Inherited from OjStatusMeterGaugeBase.clear

### click

- click(): Promise<void>

- ### Inherit Doc

  #### Returns Promise<void>

  Inherited from OjStatusMeterGaugeBase.click

### findElement

- findElement(locator): WebElementPromise

- ### Inherit Doc

  #### Parameters

  - ##### locator: Locator

  #### Returns WebElementPromise

  Inherited from OjStatusMeterGaugeBase.findElement

### findElements

- findElements(locator): Promise<WebElement[]>

- ### Inherit Doc

  #### Parameters

  - ##### locator: Locator

  #### Returns Promise<WebElement[]>

  Inherited from OjStatusMeterGaugeBase.findElements

### getAngleExtent

- getAngleExtent(): Promise<number>

- Gets the value of `angleExtent` property. Specifies the angle extent of a gauge with circular orientation. Value should be provided in degrees.

  #### Returns Promise<number>

  The value of `angleExtent` property.

  Inherited from OjStatusMeterGaugeBase.getAngleExtent

### getAnimationDuration

- getAnimationDuration(): Promise<number>

- Gets the value of `animationDuration` property. The duration of the animations in milliseconds.

  #### Returns Promise<number>

  The value of `animationDuration` property.

  Inherited from OjStatusMeterGaugeBase.getAnimationDuration

### getAnimationOnDataChange

- getAnimationOnDataChange(): Promise<string>

- Gets the value of `animationOnDataChange` property. Defines the animation that is applied on data changes.

  #### Returns Promise<string>

  The value of `animationOnDataChange` property.

  Inherited from OjStatusMeterGaugeBase.getAnimationOnDataChange

### getAnimationOnDisplay

- getAnimationOnDisplay(): Promise<string>

- Gets the value of `animationOnDisplay` property. Defines the animation that is shown on initial display.

  #### Returns Promise<string>

  The value of `animationOnDisplay` property.

  Inherited from OjStatusMeterGaugeBase.getAnimationOnDisplay

### getAttribute

- getAttribute(attributeName): Promise<string>

- ### Inherit Doc

  #### Parameters

  - ##### attributeName: string

  #### Returns Promise<string>

  Inherited from OjStatusMeterGaugeBase.getAttribute

### getBorderColor

- getBorderColor(): Promise<string>

- Gets the value of `borderColor` property. The border color of the gauge. Only applies when thresholds are not defined. The default value varies based on theme.

  ### Deprecated

  Since 14.0.0. This is not recommended in the Redwood design system.

  #### Returns Promise<string>

  The value of `borderColor` property.

  Inherited from OjStatusMeterGaugeBase.getBorderColor

### getBorderRadius

- getBorderRadius(): Promise<string>

- Gets the value of `borderRadius` property. Specifies the border radius of the indicator and plot area. See the Help documentation for more information.

  ### Deprecated

  Since 14.0.0. This is not recommended in the Redwood design system.

  #### Returns Promise<string>

  The value of `borderRadius` property.

  Inherited from OjStatusMeterGaugeBase.getBorderRadius

### getCenter

- getCenter(): Promise<Center>

- Gets the value of `center` property. An object defining the center content of a status meter with circular orientation.

  #### Returns Promise<Center>

  The value of `center` property.

  Inherited from OjStatusMeterGaugeBase.getCenter

### getColor

- getColor(): Promise<string>

- Gets the value of `color` property. The color of the gauge. Only applies when thresholds are not defined. The default value varies based on theme.

  #### Returns Promise<string>

  The value of `color` property.

  Inherited from OjStatusMeterGaugeBase.getColor

### getCssValue

- getCssValue(cssStyleProperty): Promise<string>

- ### Inherit Doc

  #### Parameters

  - ##### cssStyleProperty: string

  #### Returns Promise<string>

  Inherited from OjStatusMeterGaugeBase.getCssValue

### getDescribedBy

- getDescribedBy(): Promise<string>

- Gets the value of `describedBy` property. Specifies a relationship between this component and another element.

  #### Returns Promise<string>

  The value of `describedBy` property.

  Inherited from OjStatusMeterGaugeBase.getDescribedBy

### getDriver

- getDriver(): WebDriver

- #### Returns WebDriver

  The parent driver for this instance.

  Inherited from OjStatusMeterGaugeBase.getDriver

### getId

- getId(): Promise<string>

- #### Returns Promise<string>

  A promise that resolves to the server-assigned opaque ID assigned to this element.

  Inherited from OjStatusMeterGaugeBase.getId

### getIndicatorSize

- getIndicatorSize(): Promise<number>

- Gets the value of `indicatorSize` property. Defines the ratio of relative thickness of the indicator to the plot area.

  #### Returns Promise<number>

  The value of `indicatorSize` property.

  Inherited from OjStatusMeterGaugeBase.getIndicatorSize

### getInnerRadius

- getInnerRadius(): Promise<number>

- Gets the value of `innerRadius` property. Specifies the inner radius of a gauge with circular orientation, defined by the distance from the center of the gauge to the innermost edge of the indicator and plot area. Valid values are a percent or ratio from 0 to 1.

  #### Returns Promise<number>

  The value of `innerRadius` property.

  Inherited from OjStatusMeterGaugeBase.getInnerRadius

### getLabel

- getLabel(): Promise<Label>

- Gets the value of `label` property. An object defining the label.

  ### Deprecated

  Since 12.1.0. This attribute is deprecated. Use metric-label instead.

  #### Returns Promise<Label>

  The value of `label` property.

  Inherited from OjStatusMeterGaugeBase.getLabel

### getLabelledBy

- getLabelledBy(): Promise<string>

- Gets the value of `labelledBy` property. Establishes a relationship between this component and another element, typically an oj-label custom element. See the Help documentation for more information.

  #### Returns Promise<string>

  The value of `labelledBy` property.

  Inherited from OjStatusMeterGaugeBase.getLabelledBy

### getLocation

- getLocation(): Promise<ILocation>

- ### Inherit Doc

  #### Returns Promise<ILocation>

  Inherited from OjStatusMeterGaugeBase.getLocation

### getMax

- getMax(): Promise<number>

- Gets the value of `max` property. The maximum value of the gauge.

  #### Returns Promise<number>

  The value of `max` property.

  Inherited from OjStatusMeterGaugeBase.getMax

### getMetricLabel

- getMetricLabel(): Promise<MetricLabel>

- Gets the value of `metricLabel` property. An object defining the value label.

  #### Returns Promise<MetricLabel>

  The value of `metricLabel` property.

  Inherited from OjStatusMeterGaugeBase.getMetricLabel

### getMin

- getMin(): Promise<number>

- Gets the value of `min` property. The minimum value of the gauge.

  #### Returns Promise<number>

  The value of `min` property.

  Inherited from OjStatusMeterGaugeBase.getMin

### getOrientation

- getOrientation(): Promise<string>

- Gets the value of `orientation` property. Defines the type of status meter to be rendered.

  #### Returns Promise<string>

  The value of `orientation` property.

  Inherited from OjStatusMeterGaugeBase.getOrientation

### getPlotArea

- getPlotArea(): Promise<PlotArea>

- Gets the value of `plotArea` property. Plot Area for Status Meter Gauge

  #### Returns Promise<PlotArea>

  The value of `plotArea` property.

  Inherited from OjStatusMeterGaugeBase.getPlotArea

### getProperty

- getProperty<T>(propertyName): Promise<T>

- Get a named property value from this component. This function will wait for the application's busy context to complete before attempting to get the property value.

  #### Type Parameters

  - #### T = string

  #### Parameters

  - ##### propertyName: string

    The name of the property

  #### Returns Promise<T>

  A Promise that yields a value for the named property.

  Inherited from OjStatusMeterGaugeBase.getProperty

### getReadonly

- getReadonly(): Promise<boolean>

- Gets the value of `readonly` property. Defines whether the value of the gauge can be changed by the end user.

  #### Returns Promise<boolean>

  The value of `readonly` property.

  Inherited from OjStatusMeterGaugeBase.getReadonly

### getRect

- getRect(): Promise<IRectangle>

- ### Inherit Doc

  #### Returns Promise<IRectangle>

  Inherited from OjStatusMeterGaugeBase.getRect

### getReferenceLines

- getReferenceLines(): Promise<ReferenceLines[]>

- Gets the value of `referenceLines` property. An array of objects specifying the reference lines for the gauge.

  #### Returns Promise<ReferenceLines[]>

  The value of `referenceLines` property.

  Inherited from OjStatusMeterGaugeBase.getReferenceLines

### getShadowRoot

- getShadowRoot(): ShadowRootPromise

- Get the shadow root of the current web element.

  #### Returns ShadowRootPromise

  A promise that will be resolved with the elements shadow root or rejected with NoSuchShadowRootError

  Inherited from OjStatusMeterGaugeBase.getShadowRoot

### getSize

- getSize(): Promise<ISize>

- ### Inherit Doc

  #### Returns Promise<ISize>

  Inherited from OjStatusMeterGaugeBase.getSize

### getSizeProperty

- getSizeProperty(): Promise<string>

- Gets the value of `size` property. Specifies the gauge size.

  #### Returns Promise<string>

  The value of `size` property.

  Inherited from OjStatusMeterGaugeBase.getSizeProperty

### getStartAngle

- getStartAngle(): Promise<number>

- Gets the value of `startAngle` property. Specifies the start angle of a gauge with circular orientation. Value should be provided in degrees.

  #### Returns Promise<number>

  The value of `startAngle` property.

  Inherited from OjStatusMeterGaugeBase.getStartAngle

### getStep

- getStep(): Promise<number>

- Gets the value of `step` property. Specifies the increment by which values can be changed by the end user. See the Help documentation for more information.

  #### Returns Promise<number>

  The value of `step` property.

  Inherited from OjStatusMeterGaugeBase.getStep

### getSvgClassName

- getSvgClassName(): Promise<string>

- Gets the value of `svgClassName` property. The CSS style class to apply to the gauge indicator. See the Help documentation for more information.

  ### Deprecated

  Since 14.0.0. This is not recommended in the Redwood design system.

  #### Returns Promise<string>

  The value of `svgClassName` property.

  Inherited from OjStatusMeterGaugeBase.getSvgClassName

### getSvgStyle

- getSvgStyle(): Promise<object>

- Gets the value of `svgStyle` property. The inline style to apply to the gauge indicator. See the Help documentation for more information.

  ### Deprecated

  Since 14.0.0. This is not recommended in the Redwood design system.

  #### Returns Promise<object>

  The value of `svgStyle` property.

  Inherited from OjStatusMeterGaugeBase.getSvgStyle

### getTagName

- getTagName(): Promise<string>

- Schedules a command to query for the tag/node name of this element.

  #### Returns Promise<string>

  A promise that will be resolved with the element's tag name.

  Inherited from OjStatusMeterGaugeBase.getTagName

### getText

- getText(): Promise<string>

- ### Inherit Doc

  #### Returns Promise<string>

  Inherited from OjStatusMeterGaugeBase.getText

### getThresholdDisplay

- getThresholdDisplay(): Promise<string>

- Gets the value of `thresholdDisplay` property. Controls whether the current threshold is displayed on the indicator, in the plotArea, or if all the thresholds are displayed in the plot area.

  #### Returns Promise<string>

  The value of `thresholdDisplay` property.

  Inherited from OjStatusMeterGaugeBase.getThresholdDisplay

### getThresholds

- getThresholds(): Promise<Thresholds[]>

- Gets the value of `thresholds` property. An array of objects specifying the gauge thresholds.

  #### Returns Promise<Thresholds[]>

  The value of `thresholds` property.

  Inherited from OjStatusMeterGaugeBase.getThresholds

### getTooltip

- getTooltip(): Promise<Tooltip>

- Gets the value of `tooltip` property. An object containing an optional callback function for tooltip customization.

  #### Returns Promise<Tooltip>

  The value of `tooltip` property.

  Inherited from OjStatusMeterGaugeBase.getTooltip

### getTrackResize

- getTrackResize(): Promise<string>

- Gets the value of `trackResize` property. Defines whether the element will automatically render in response to changes in size. See the Help documentation for more information.

  #### Returns Promise<string>

  The value of `trackResize` property.

  Inherited from OjStatusMeterGaugeBase.getTrackResize

### getTransientValue

- getTransientValue(): Promise<number>

- Gets the value of `transientValue` property. Read-only property used for retrieving the transient value from the component. See the Help documentation for more information.

  #### Returns Promise<number>

  The value of `transientValue` property.

  Inherited from OjStatusMeterGaugeBase.getTransientValue

### getTranslations

- getTranslations(): Promise<Translations>

- Gets the value of `translations` property. A collection of translated resources from the translation bundle, or null if this component has no resources.

  #### Returns Promise<Translations>

  The value of `translations` property.

  Inherited from OjStatusMeterGaugeBase.getTranslations

### getValue

- getValue(): Promise<number>

- Gets the value of `value` property. The metric value.

  #### Returns Promise<number>

  The value of `value` property.

  Inherited from OjStatusMeterGaugeBase.getValue

### getVisualEffects

- getVisualEffects(): Promise<string>

- Gets the value of `visualEffects` property. Defines whether the theme specific visual effects such as overlays and gradients are applied to the gauge.

  ### Deprecated

  Since 12.1.0. Overlays and gradients are not supported in Redwood theme and are not recommended. As such, this attribute is deprecated.

  #### Returns Promise<string>

  The value of `visualEffects` property.

  Inherited from OjStatusMeterGaugeBase.getVisualEffects

### `Protected` hasSize

- hasSize(): Condition<Promise<boolean>>

- Create a wait condition that is satisfied when the element's DOM has a non-zero size.

  ### Deprecated

  Since 11.0.0. Call the appropriate WebElement method to test the size of the element.

  #### Returns Condition<Promise<boolean>>

  The Condition to be used with driver.wait() that's satisfied when the element's DOM has a non-zero size.

  Inherited from OjStatusMeterGaugeBase.hasSize

### `Protected` hasVisibility

- hasVisibility(): Condition<Promise<boolean>>

- Create a wait condition that is satisfid when the element is visible. The condition is satisfied when the element is displayed, as reported by #isDisplayed, and is scrolled into view. This is method is deprecated. Use WebElement.isDisplayed instead to test the display of the element, and scroll it into view if necessary.

  ### Deprecated

  #### Returns Condition<Promise<boolean>>

  Inherited from OjStatusMeterGaugeBase.hasVisibility

### isDisplayed

- isDisplayed(): Promise<boolean>

- ### Inherit Doc

  #### Returns Promise<boolean>

  Inherited from OjStatusMeterGaugeBase.isDisplayed

### isEnabled

- isEnabled(): Promise<boolean>

- ### Inherit Doc

  #### Returns Promise<boolean>

  Inherited from OjStatusMeterGaugeBase.isEnabled

### isSelected

- isSelected(): Promise<boolean>

- ### Inherit Doc

  #### Returns Promise<boolean>

  Inherited from OjStatusMeterGaugeBase.isSelected

### sendKeys

- sendKeys(...varArgs): Promise<void>

- ### Inherit Doc

  #### Parameters

  - ##### `Rest` ...varArgs: (string | number | Promise<string | number>)[]

  #### Returns Promise<void>

  Inherited from OjStatusMeterGaugeBase.sendKeys

### serialize

- serialize(): Promise<IWebElementId>

- #### Returns Promise<IWebElementId>

  Inherited from OjStatusMeterGaugeBase.serialize

### `Protected` setProperty

- setProperty<T>(propertyName, value): Promise<void>

- Set a property value on the remote element. This function first waits for the BusyContext to clear before setting the property, then after setting, waits again to ensure that no additional busy states were created due to the property setting.

  #### Type Parameters

  - #### T = string

  #### Parameters

  - ##### propertyName: string

    The property name to set

  - ##### value: T

    The value to set for the property

  #### Returns Promise<void>

  A Promise which resolves when the remote property has been set to the value. Any value returned from the call to set the remote property is returned in the Promise.

  Inherited from OjStatusMeterGaugeBase.setProperty

### submit

- submit(): Promise<void>

- ### Inherit Doc

  #### Returns Promise<void>

  Inherited from OjStatusMeterGaugeBase.submit

### takeScreenshot

- takeScreenshot(optScroll?): Promise<string>

- ### Inherit Doc

  #### Parameters

  - ##### `Optional` optScroll: boolean

  #### Returns Promise<string>

  Inherited from OjStatusMeterGaugeBase.takeScreenshot

### whenBusyContextReady

- whenBusyContextReady(): Promise<void>

- Returns a Promise that is resolved when the application's busy state reports ready. This method checks only that the application's busy context is ready, and not that the DOM element is actually displayed or has a physical size, such as is the case with #whenReady. Operations which are read-only in nature should call this method prior to execution.

  #### Returns Promise<void>

  A Promise which is resolved when the page's busy state is ready.

  Inherited from OjStatusMeterGaugeBase.whenBusyContextReady

### whenReady

- whenReady(): Promise<void>

- Returns a Promise that is resolved when the element is ready for interaction--it is visible, has a size, and the app's busy context is ready. Operations on the DOM which rely on its physical location and size to be in a "ready" state should use this command, such as clicking, sending keys, locating child elements, and so on.

  #### Returns Promise<void>

  A Promise that's resolved when all conditions are met.

  Inherited from OjStatusMeterGaugeBase.whenReady

### `Static` buildId

- buildId(id, opt_noLegacy?): IWebElementId

- #### Parameters

  - ##### id: string

    The raw ID.

  - ##### `Optional` opt_noLegacy: boolean

    Whether to exclude the legacy element key.

  #### Returns IWebElementId

  The element ID for use with WebDriver's wire protocol.

  Inherited from OjStatusMeterGaugeBase.buildId

### `Static` equals

- equals(a, b): Promise<boolean>

- Compares two WebElements for equality.

  #### Parameters

  - ##### a: WebElement

    A WebElement.

  - ##### b: WebElement

    A WebElement.

  #### Returns Promise<boolean>

  A promise that will be resolved to whether the two WebElements are equal.

  Inherited from OjStatusMeterGaugeBase.equals

### `Static` extractId

- extractId(obj): string

- Extracts the encoded WebElement ID from the object.

  ### Throws

  if the object is not a valid encoded ID.

  #### Parameters

  - ##### obj: IWebElementId

    The object to extract the ID from.

  #### Returns string

  the extracted ID.

  Inherited from OjStatusMeterGaugeBase.extractId

### `Static` isId

- isId(obj): boolean

- #### Parameters

  - ##### obj: IWebElementId

    the object to test.

  #### Returns boolean

  whether the object is a valid encoded WebElement ID.

  Inherited from OjStatusMeterGaugeBase.isId

Generated using TypeDoc